Bug 135185 - Add project URL at grep's spec file + minor spec file cleanup
Add project URL at grep's spec file + minor spec file cleanup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Mike McLean
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-09 18:38 EDT by Robert Scheck
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 2.5.1-30
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 07:20:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-10-09 18:38:00 EDT
Description of problem:
The project URL should be added to grep's spec file and some minor 
spec file cleanup eg. like macrofying also should be done.

Version-Release number of selected component (if applicable):
grep-2.5.1-29

Actual results / Expected results:
--- snipp ---
--- grep.spec       2004-10-10 00:36:50.000000000 +0200
+++ grep.spec.rsc   2004-10-10 00:37:13.000000000 +0200
@@ -11,11 +11,11 @@
 Patch3: grep-2.5.1-oi.patch
 Patch4: grep-2.5.1-manpage.patch
 Patch5: grep-2.5.1-gofast.patch
-Prefix: %{_prefix}
+URL: http://www.gnu.org/software/grep/
 Prereq: /sbin/install-info
 Buildroot: %{_tmppath}/%{name}-%{version}-root
 Requires: pcre
-Buildrequires: pcre-devel, texinfo, gettext
+Buildrequires: pcre-devel, texinfo, gettext, gzip

 %description
 The GNU versions of commonly used grep utilities.  Grep searches
@@ -27,7 +27,7 @@
 utility for searching through text.

 %prep
-%setup -q -n %{name}-%{version}
+%setup -q
 %patch0 -p1 -b .fgrep
 %patch1 -p1 -b .bracket
 %patch2 -p1 -b .i18n
@@ -37,16 +37,16 @@

 %build
 [ ! -e configure ] && ./autogen.sh
-%configure --prefix=/usr --without-included-regex
-make CFLAGS="$RPM_OPT_FLAGS -I/usr/include/pcre"
+%configure --without-included-regex
+make CFLAGS="$RPM_OPT_FLAGS -I%{_includedir}/pcre"

 %install
 rm -rf ${RPM_BUILD_ROOT}
 %makeinstall LDFLAGS=-s prefix=${RPM_BUILD_ROOT}%{_prefix} exec_prefix=${RPM_BUILD_ROOT}
 %ifos Linux
 mkdir -p $RPM_BUILD_ROOT/bin
-mv $RPM_BUILD_ROOT%{_prefix}/bin/* $RPM_BUILD_ROOT/bin
-rm -rf $RPM_BUILD_ROOT%{_prefix}/bin
+mv -f $RPM_BUILD_ROOT%{_bindir}/* $RPM_BUILD_ROOT/bin
+rm -rf $RPM_BUILD_ROOT%{_bindir}
 %endif
 gzip -9f $RPM_BUILD_ROOT%{_infodir}/grep*
 rm -f $RPM_BUILD_ROOT%{_infodir}/dir
@@ -75,7 +75,7 @@
 %ifos Linux
 /bin/*
 %else
-%{_prefix}/bin/*
+%{_bindir}/*
 %endif
 %{_infodir}/*.info*.gz
 %{_mandir}/*/*
--- snapp ---
Comment 1 Tim Waugh 2004-10-11 07:20:34 EDT
Thanks, applied.

Note You need to log in before you can comment on or make changes to this bug.